summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-arch/plzip/plzip-1.3.ebuild')
-rw-r--r--app-arch/plzip/plzip-1.3.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-arch/plzip/plzip-1.3.ebuild b/app-arch/plzip/plzip-1.3.ebuild
new file mode 100644
index 000000000000..6eea19ff6a41
--- /dev/null
+++ b/app-arch/plzip/plzip-1.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="Parallel lzip compressor"
+HOMEPAGE="http://www.nongnu.org/lzip/plzip.html"
+SRC_URI="http://download.savannah.gnu.org/releases-noredirect/lzip/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="app-arch/lzlib:0="
+DEPEND=${RDEPEND}
+
+src_configure() {
+ # not autotools-based
+ ./configure \
+ --prefix="${EPREFIX}"/usr \
+ CXX="$(tc-getCXX)" \
+ CPPFLAGS="${CPPFLAGS}" \
+ CXXFLAGS="${CXXFLAGS}" \
+ LDFLAGS="${LDFLAGS}" || die
+}